/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __DEF_PIANO_IMPL_H__
#define __DEF_PIANO_IMPL_H__

#include <Evas.h>

void piano_note_touch_down(void *data, Evas_Point coord, Eina_Bool check_collision);
void piano_note_touch_up(void *data);
void piano_note_player_init(void *data);
void piano_note_player_prepare(void *data);

#endif /* __DEF_PIANO_IMPL_H__ */
